OGRE: Ogre::AnimationContainer Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::AnimationContainer Class Referenceabstract
Core » Animation

An animation container interface, which allows generic access to sibling animations. More...

`#include <OgreAnimation.h>`

Inheritance diagram for Ogre::AnimationContainer:
[legend]

## Public Types
typedef std::map< String, Animation * > | AnimationList

## Public Member Functions
virtual | ~AnimationContainer ()
virtual Animation * | createAnimation (const String &name, Real length)=0
| Create a new animation with a given length owned by this container.
virtual Animation * | getAnimation (const String &name) const =0
| Looks up an Animation object previously created with createAnimation.
virtual Animation * | getAnimation (unsigned short index) const =0
| Retrieve an animation by index.
virtual unsigned short | getNumAnimations (void) const =0
| Gets the number of animations in this container.
virtual bool | hasAnimation (const String &name) const =0
| Returns whether this object contains the named animation.
virtual void | removeAnimation (const String &name)=0
| Remove & destroy an Animation from this container.

## Detailed Description

An animation container interface, which allows generic access to sibling animations.

Because Animation instances can be held by different kinds of classes, and there are sometimes instances when you need to reference other Animation instances within the same container, this class allows generic access to named animations within that container, whatever it may be.

## Member Typedef Documentation

## ◆ AnimationList

typedef std::map<String, Animation*> Ogre::AnimationContainer::AnimationList

## Constructor & Destructor Documentation

## ◆ ~AnimationContainer()

virtual Ogre::AnimationContainer::~AnimationContainer | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ getNumAnimations()

virtual unsigned short Ogre::AnimationContainer::getNumAnimations | ( | void |  | ) | const
| pure virtual

Gets the number of animations in this container.

Implemented in Ogre::Mesh, Ogre::SceneManager, Ogre::Skeleton, and Ogre::SkeletonInstance.

## ◆ getAnimation() [1/2]

virtual Animation * Ogre::AnimationContainer::getAnimation | ( | unsigned short | index | ) | const
| pure virtual

Retrieve an animation by index.

Implemented in Ogre::Mesh, Ogre::SceneManager, Ogre::Skeleton, and Ogre::SkeletonInstance.

## ◆ getAnimation() [2/2]

virtual Animation * Ogre::AnimationContainer::getAnimation | ( | const String & | name | ) | const
| pure virtual

Looks up an Animation object previously created with createAnimation.

Note
  Throws an exception if the named instance does not exist

Parameters

  name | The name of the animation.

Implemented in Ogre::Mesh, Ogre::SceneManager, and Ogre::Skeleton.

## ◆ createAnimation()

virtual Animation * Ogre::AnimationContainer::createAnimation | ( | const String & | name,
|  | Real | length )
| pure virtual

Create a new animation with a given length owned by this container.

Parameters

  name | The name of the animation, must be unique within this container.
  length | The length of the animation in seconds

Implemented in Ogre::Mesh, Ogre::SceneManager, Ogre::Skeleton, and Ogre::SkeletonInstance.

## ◆ hasAnimation()

virtual bool Ogre::AnimationContainer::hasAnimation | ( | const String & | name | ) | const
| pure virtual

Returns whether this object contains the named animation.

Implemented in Ogre::Mesh, Ogre::SceneManager, and Ogre::Skeleton.

## ◆ removeAnimation()

virtual void Ogre::AnimationContainer::removeAnimation | ( | const String & | name | ) |
| pure virtual

Remove & destroy an Animation from this container.

Implemented in Ogre::Mesh, Ogre::SceneManager, Ogre::Skeleton, and Ogre::SkeletonInstance.

The documentation for this class was generated from the following file:

- OgreAnimation.h